# JSDoc: Class: Attribute

# Class: Attribute

## Attribute()

Attribute is an abstract concept which has two real uses - label (key - value pair) and relation (representing named relationship between source and target note)

## Constructor

#### new Attribute()

Source:
  - becca/entities/attribute.js, line 13

### Members

#### attributeId :string

##### Type:

- string

Source:
  - becca/entities/attribute.js, line 44

#### isInheritable :boolean

##### Type:

- boolean

Source:
  - becca/entities/attribute.js, line 56

#### name :string

##### Type:

- string

Source:
  - becca/entities/attribute.js, line 50

#### noteId :string

##### Type:

- string

Source:
  - becca/entities/attribute.js, line 46

#### position :int

##### Type:

- int

Source:
  - becca/entities/attribute.js, line 52

#### type :string

##### Type:

- string

Source:
  - becca/entities/attribute.js, line 48

#### utcDateModified :string

##### Type:

- string

Source:
  - becca/entities/attribute.js, line 58

#### value :string

##### Type:

- string

Source:
  - becca/entities/attribute.js, line 54

### Methods

#### getNote() → {Note|null}

Source:
  - becca/entities/attribute.js, line 112

##### Returns:

Type
  Note | null

#### getTargetNote() → {Note|null}

Source:
  - becca/entities/attribute.js, line 119

##### Returns:

Type
  Note | null

#### isDefinition() → {boolean}

Source:
  - becca/entities/attribute.js, line 134

##### Returns:

Type
  boolean